Package com.independentsoft.office.word.drawing

# Enum Class VerticalRelativePositioning

java.lang.Object
java.lang.Enum<VerticalRelativePositioning>
com.independentsoft.office.word.drawing.VerticalRelativePositioning

All Implemented Interfaces:
  `Serializable`, `Comparable<VerticalRelativePositioning>`, `Constable`

public enum VerticalRelativePositioning extends Enum<VerticalRelativePositioning>
The Enum VerticalRelativePositioning.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM_MARGIN`
  `INSIDE_MARGIN`
  `LINE`
  `NONE`
  `OUTSIDE_MARGIN`
  `PAGE_EDGE`
  `PAGE_MARGIN`
  `PARAGRAPH`
  `TOP_MARGIN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VerticalRelativePositioning`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static VerticalRelativePositioning[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOTTOM_MARGIN

    public static final VerticalRelativePositioning BOTTOM_MARGIN

  - ### INSIDE_MARGIN

    public static final VerticalRelativePositioning INSIDE_MARGIN

  - ### LINE

    public static final VerticalRelativePositioning LINE

  - ### PAGE_MARGIN

    public static final VerticalRelativePositioning PAGE_MARGIN

  - ### OUTSIDE_MARGIN

    public static final VerticalRelativePositioning OUTSIDE_MARGIN

  - ### PAGE_EDGE

    public static final VerticalRelativePositioning PAGE_EDGE

  - ### PARAGRAPH

    public static final VerticalRelativePositioning PARAGRAPH

  - ### TOP_MARGIN

    public static final VerticalRelativePositioning TOP_MARGIN

  - ### NONE

    public static final VerticalRelativePositioning NONE

- ## Method Details

  - ### values

    public static VerticalRelativePositioning[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VerticalRelativePositioning valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null